[build] Build dependecies to install puppet on centos6 from devops' mirrors

Bug #1509021 reported by Andrey Nikitin on 2015-10-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Sergey Otpuschennikov

Bug Description

Hello!

I've tried install puppet & hiera located at http://mirror.fuel-infra.org/devops/centos/noarch/, but I've faced the problems with dependencies:

[root@centos6 ~]# rpm -ivh http://mirror.fuel-infra.org/devops/centos/noarch/puppet-3.4.3-2.el6.noarch.rpm
Retrieving http://mirror.fuel-infra.org/devops/centos/noarch/puppet-3.4.3-2.el6.noarch.rpm
warning: /var/tmp/rpm-tmp.i4CdJV: Header V3 RSA/SHA1 Signature, key ID 977da174: NOKEY
error: Failed dependencies:
 facter >= 1.6.11 is needed by puppet-3.4.3-2.el6.noarch
 ruby-augeas is needed by puppet-3.4.3-2.el6.noarch
 ruby-rgen >= 0.6.5 is needed by puppet-3.4.3-2.el6.noarch
 ruby-shadow is needed by puppet-3.4.3-2.el6.noarch

[root@centos6 ~]# rpm -ivh http://mirror.fuel-infra.org/devops/centos/noarch/hiera-1.3.0-1.el6.noarch.rpm
Retrieving http://mirror.fuel-infra.org/devops/centos/noarch/hiera-1.3.0-1.el6.noarch.rpm
warning: /var/tmp/rpm-tmp.brA8L8: Заголовок V3 RSA/SHA1 Signature, key ID 977da174: NOKEY
error: Failed dependencies:
 rubygem-json is needed by hiera-1.3.0-1.el6.noarch

Current bug is Blocker for https://mirantis.jira.com/browse/PROD-2110.

Please build these packages to have an ability to install puppet on centos6 to deploy blackduck on a server.

Andrey Nikitin (heos) on 2015-10-22
description: updated
Changed in fuel:
assignee: Fuel build team (fuel-build) → Sergey Otpuschennikov (sotpuschennikov)
Changed in fuel:
status: New → In Progress

Packages facter, ruby-augeas, ruby-rgen, ruby-shadow, rubygem-json, have been successfull built in
http://osci-obs.vm.mirantis.net:82/qa-centos/centos/

Andrey Nikitin (heos) wrote :

We need in facter of the following verison:

facter 1.7.5-1ubuntu1

Current version of facter in centos repository is 1.6.18. This version is working wrong. Please update version of the package.

Dmitry Pyzhov (dpyzhov) on 2015-10-27
tags: added: area-build

facter has been updated to version 1.7.5 in http://osci-obs.vm.mirantis.net:82/qa-centos/centos/

Andrey Nikitin (heos) wrote :

Current version of puppet and other packages is working correctly on CentOS ver. 6.7.

Current bug can be marked as "Fix commited & Fix released".

Changed in fuel:
status: In Progress → Fix Committed
Andrey Nikitin (heos) on 2016-10-19
Changed in fuel:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers